Index: ipk/source.sh4/titanswappicons_grey/CONTROL/preinst
===================================================================
--- ipk/source.sh4/titanswappicons_grey/CONTROL/preinst	(revision 11606)
+++ ipk/source.sh4/titanswappicons_grey/CONTROL/preinst	(revision 11782)
@@ -27,4 +27,15 @@
 echo "swapstick found...."
 
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+
 echo "installing swap Picons for Titan..."
 
